LogoopenSUSE Build Service > Projects
Sign Up | Log In

View File coffeescript.changes of Package coffeescript (Project devel:languages:nodejs)

-------------------------------------------------------------------
Thu May 23 10:39:17 CST 2013 - hillwood@linuxfans.org

- update to 1.6.2
  see more at http://coffeescript.org/
   
-------------------------------------------------------------------
Fri Oct 26 01:32:25 UTC 2012 - douglarek@outlook.com

- update to 1.4.0
  * The CoffeeScript compiler now strips Microsoft's UTF-8 BOM 
    if it exists, allowing you to compile BOM-borked source files.
  * Fix Node/compiler deprecation warnings by removing registerExtension, 
    and moving from path.exists to fs.exists.
  * Small tweaks to splat compilation, backticks, slicing, and the error 
    for duplicate keys in object literals.

-------------------------------------------------------------------
Fri Jun 15 11:41:21 UTC 2012 - dvaleev@suse.com

- update to 1.3.3 
   Due to the new semantics of JavaScript's strict mode, CoffeeScript no
   longer guarantees that constructor functions have names in all runtimes.
   https://github.com/jashkenas/coffee-script/issues/2052 for discussion.

   Inside of a nested function inside of an instance method, it's now possible
   to call 'super' more reliably (walks recursively up).

   Named loop variables no longer have different scoping heuristics than
   other local variables. (Reverts #643)

   Fix for splats nested within the LHS of destructuring assignment.

   Corrections to our compile time strict mode forbidding of octal literals.

-------------------------------------------------------------------
Mon Oct 31 11:09:00 UTC 2011 - fcastelli@suse.com

- Fix installation path.

-------------------------------------------------------------------
Tue Oct  4 15:00:46 UTC 2011 - fcastelli@suse.com

- Fix unit tests broken by the unstable version of node

-------------------------------------------------------------------
Tue Oct  4 07:58:14 UTC 2011 - fcastelli@suse.com

- Fix build on x86_64

-------------------------------------------------------------------
Thu Sep 22 15:24:56 UTC 2011 - fcastelli@suse.com

- update to 1.1.2
- install package contents under /usr/lib/node_modules (like npm does)

-------------------------------------------------------------------
Thu Aug  4 06:14:23 UTC 2011 - fcastelli@novell.com

- Fix typo inside of Require section

-------------------------------------------------------------------
Tue Jul 26 14:55:08 UTC 2011 - fcastelli@novell.com

- fix build on SLE
- ensure symbolic link do not link to buildroot

-------------------------------------------------------------------
Mon Jul 25 10:18:56 UTC 2011 - fcastelli@novell.com

- Package 1.1.1